From 38d4ef4e81a5def4307edca2e2dc207a7559f53d Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Fri, 30 Sep 2022 11:06:45 +0200
Subject: [PATCH 2/2] trace cluster termination

---
 src/test/perl/PostgreSQL/Test/Cluster.pm | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/src/test/perl/PostgreSQL/Test/Cluster.pm b/src/test/perl/PostgreSQL/Test/Cluster.pm
index 4a64cb749b..ae80d06b7d 100644
--- a/src/test/perl/PostgreSQL/Test/Cluster.pm
+++ b/src/test/perl/PostgreSQL/Test/Cluster.pm
@@ -1251,6 +1251,7 @@ sub new
 	my $testname = basename($0);
 	$testname =~ s/\.[^.]+$//;
 	my $node = {
+		_testname => $testname,
 		_port => $port,
 		_host => $host,
 		_basedir =>
@@ -1542,6 +1543,15 @@ END
 	# take care not to change the script's exit value
 	my $exit_code = $?;
 
+	{
+		open my $TRACE, ">>", "/tmp/perl.trace";
+		foreach my $node (@all_nodes)
+		{
+			print $TRACE "shutting down $node->{_testname} / $node->{_name}\n";
+		}
+		close $TRACE;
+	}
+
 	foreach my $node (@all_nodes)
 	{
 		$node->teardown_node;
-- 
2.30.2

